Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3834 closed enhancement (fixed)

Simplify clock driver

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: dev Version: 5
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Use a system initialization handler to initialize the clock driver instead of using a legacy IO driver. This makes the system initialization more modular and removes a bit of overhead introduced by the legacy IO driver dependency.

Change History (4)

comment:1 Changed on 12/11/19 at 08:06:35 by Sebastian Huber <sebastian.huber@…>

In [changeset:"bb99cd0d83ae32e1f222bf2c8235a8f95128815d/rtems" bb99cd0d/rtems]:

clock: Simplify driver initialization

Use a system initialization handler instead of a legacy IO driver.

Update #3834.

comment:2 Changed on 12/19/19 at 08:12:44 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"d585fcb9a8a6fab15d6bba0faf19c0923190c00e/rtems-docs" d585fcb/rtems-docs]:

bsp-howto: Clarify clock driver initialization

Close #3834.

comment:3 Changed on 01/02/20 at 08:49:09 by Sebastian Huber <sebastian.huber@…>

In [changeset:"a3706d4ce186a72dacd2b09a50123504e0a1e20c/rtems" a3706d4c/rtems]:

bsps/powerpc: Fix warning

Update #3834.

comment:4 Changed on 06/23/21 at 07:16:03 by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.